]> ruderich.org/simon Gitweb - config/dotfiles.git/blobdiff - setup.sh
setup.sh: Add set -e.
[config/dotfiles.git] / setup.sh
index 44074f0a0767732289e8e808e5cb1a53e2d075d1..8bb0f443e939aa2a3910f119942fb5f7f058989d 100755 (executable)
--- a/setup.sh
+++ b/setup.sh
@@ -18,6 +18,8 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 
+set -e
+
 . ../lib.sh
 
 # Helper functions.
@@ -39,8 +41,17 @@ fi
 mkdir -p ~/.tmp
 chmod 0700 ~/.tmp
 
-# Generate ~/.less with lesskey.
-lesskey lesskey
+# Generate ~/.less with lesskey. Prevent cluttering ~/ by storing the history
+# file in this directory; this requires replacing the constant HISTORY_PATH in
+# lesskey.
+echo lesskey: generating .lesskey
+perl < lesskey \
+    -e 'while (<STDIN>) {
+            s/\bHISTORY_PATH\b/$ARGV[0]/;
+            print;
+        }' \
+    "`pwd`/lesshistory" \
+    | lesskey -
 chmod 0600 ~/.less
 
 # Find the required options to get colored ls output. GNU ls is preferred. See
@@ -101,7 +112,7 @@ if terminal_available screen-256color; then
         # terminal_info check for manual installations which modify
         # rxvt-unicode's terminfo entry.
         urxvt_path=`which urxvt`
-        urxvt_grep=`strings "$urxvt_path" | grep '^TERM=rxvt-')`
+        urxvt_grep=`strings "$urxvt_path" | grep '^TERM=rxvt-'`
         if test x"$urxvt_grep" = 'xTERM=rxvt-unicode-256color' \
                 || terminal_info rxvt-unicode \
                     | grep -F 'colors#256' >/dev/null; then
@@ -152,6 +163,19 @@ fi
 if installed tmux; then
     generate perl tmux.conf ./bin/remove-continuation.pl
 
+    # Add mappings to switch to windows 10-29 quickly. See tmux-window.pl for
+    # details.
+    perl ./tmux-window.pl 1 "`pwd`/tmux-window2.conf" > tmux-window1.conf
+    perl ./tmux-window.pl 2                           > tmux-window2.conf
+    # Set absolute path to tmux-window1.conf in tmux.conf.
+    perl < tmux.conf > tmux.conf.tmp \
+        -e 'while (<STDIN>) {
+                s/\bTMUX_WINDOW_PATH\b/$ARGV[0]/;
+                print;
+            }' \
+        "`pwd`/tmux-window1.conf"
+    mv tmux.conf.tmp tmux.conf
+
     # 256 colors not available.
     if test -z "$use_256colors"; then
         echo tmux.conf: removing 256 colors
@@ -170,6 +194,12 @@ fi
 # Htop overwrites the comments in its configuration file.
 generate cat htoprc .in
 
+# Copy remindrc template if ~/.reminders doesn't exist yet.
+if installed remind && test ! -e "$HOME/.reminders"; then
+    echo remind: copying template to .reminders
+    cp reminders.in "$HOME/.reminders"
+fi
+
 # Link setup for shells.
 link shell ~/.shell
 link bash ~/.bash